#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 stack
version:              2.9.1
visibility:           public
id:                   stack-2.9.1-FcTO3WQX1yJJBqHcgVcJ29
key:                  stack-2.9.1-FcTO3WQX1yJJBqHcgVcJ29
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  2b9b7755eabd6d7950ef53a5b13db05e
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version Stack.Unpack
    Stack.Upgrade Stack.Upload System.Info.ShortPathName
    System.Permissions System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/stack
hs-libraries:         HSstack-2.9.1-FcTO3WQX1yJJBqHcgVcJ29
depends:
    Cabal-3.8.1.0 aeson-2.1.2.1-JtwfP0wSn8NCfmI6cbJvU2
    annotated-wl-pprint-0.7.0-Bbb9GOQJoVZEpSwInbNN3i
    ansi-terminal-1.0.2-6TxOAUbfOQrDbPnWIRhRhS array-0.5.4.0
    async-2.2.5-J9p2Vn8IaJo7CsFA60CTW1
    attoparsec-0.14.4-5WJushYcFmLGCbqKFNMNd6 base-4.17.2.1
    base64-bytestring-1.2.1.0-KpB09PxqZ4DHJNgWj76H99
    bytestring-0.11.5.3 casa-client-0.0.2-G56grjQMra11ffNMpAl0S7
    casa-types-0.0.2-Jf7kQTSa5xd3N5QUhWWWC3
    colour-2.3.6-9rTtk69Pc3k5Ik3SUsZeCb
    conduit-1.3.6.1-EgNqD7YlvYTHcjHEBbtPSf
    conduit-extra-1.3.6-3quj2FDPfxlFKb1vLnseHm containers-0.6.7
    crypton-0.34-3draoabVYue3tm8di5n8kF
    crypton-conduit-0.2.3-5dVWbLSIa0jE9XwYCJdMM0 deepseq-1.4.8.0
    directory-1.3.7.1 echo-0.1.4-HrG6UGs9bUNIRHTRpjaAQ
    exceptions-0.10.5 extra-1.7.16-F5Rxe4JueYuCrnwKvJW3VT
    file-embed-0.0.15.0-7OnjuFj6gBM9fqBKJCVXdU
    filelock-0.1.1.7-6AMPLXRM85K9b4GZrVGdLw filepath-1.4.2.2
    fsnotify-0.3.0.1-28YTvdFi0BaAJmlt8pjjDV
    generic-deriving-1.14.5-2P0UuLaWkZwKzAqo69as6G
    hackage-security-0.6.2.6-7w1fZgciHGHL0iW5mXtGjs
    hashable-1.4.4.0-HCcAO2fxJDDEJfuKpVflTS
    hi-file-parser-0.1.7.0-1uXMs3j3jfVAuQFpn9VZ0d
    hpack-0.35.2-1Mg4yqT3GhfL296628ttJZ hpc-0.6.1.0
    http-client-0.7.17-H4zdVvmRgcHFrsTP96o03r
    http-client-tls-0.3.6.4-IP7n6ZU0DLrAbaefz0SLz9
    http-conduit-2.3.9.1-5Ah3z1ASJ5S5JyTYXSR13
    http-download-0.2.1.0-JCk05eoCGpZA2tU5r6xCDj
    http-types-0.12.4-3xlSAdS4PwI9N6oPm4rFcU
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd
    mintty-0.1.4-AuJ2EgpOQbhHDGkFzZNT4J
    mono-traversable-1.0.21.0-3u2bStI5WPS8Me0st4cF9C mtl-2.2.2
    mustache-2.4.2-ByuP7iwfyG99IYxOVyTAmz
    neat-interpolation-0.5.1.4-53b9gkf19DUDi34H3Sgiou
    network-uri-2.6.4.2-GQkrRNNEJ2QmLm1Z546tm
    open-browser-0.2.1.1-JxaFXLEqga6LFagqIfuNya
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    pantry-0.5.7-IivsS6id5lqK9sWWDjKwqF
    path-0.9.5-FkimUVarfVxEdx0zNsy1Md
    path-io-1.8.2-3y5NYXnjea2El17ljXaW1d
    persistent-2.14.5.1-78E6wG1cv5KBKxph2V5ai0
    persistent-sqlite-2.13.1.0-GZOlRBMfpnFKnhP9c2t9J5 pretty-1.1.3.6
    primitive-0.8.0.0-7npiYBJB1rbGeYpNSKu2QX process-1.6.18.0
    project-template-0.2.1.0-A0Hl4dW4M3UB4GlJHSG8Ug
    random-1.2.1.2-3WH3fpxRON0BXsBQRmhDIT
    retry-0.9.3.1-5ddkuftI6jzHVB0zVZ3RNM
    rio-0.1.22.0-JTkbYLhJ2Tr6HgSISvcoB9
    rio-prettyprint-0.1.7.0-LuSwJioJJd75D5jqXw0nKj
    split-0.2.5-7pcU9U8zhS8ChjPwzmbMWF stm-2.5.1.0
    streaming-commons-0.2.3.0-9JcfS033jEQ5H0TpNmU9z2
    tar-0.5.1.1-I0kXNdfpolhIPvXpFY6mqi template-haskell-2.19.0.0
    temporary-1.3-D77yWen1pXXLPve9Zc7AMQ text-2.0.2
    text-metrics-0.3.2-18c8L1TWgMm35Bv4cQ98CI
    th-reify-many-0.1.10-KqysXHR73558kUd0hAlvXP time-1.12.2
    tls-1.9.0-2e7nMz8dXg1GQpYP0LKpYh transformers-0.5.6.2
    typed-process-0.2.12.0-J2ZnON813UH9ZyJ4ykYyE1
    unicode-transforms-0.4.0.1-J39xh4DWCejLxi6pM3Re1E unix-2.7.3
    unix-compat-0.7.3-9xjQiyKe9BxKXq0OnrPh3J
    unliftio-0.2.25.1-7u1QGaUA9IsL8Sv7PZdeYy
    unordered-containers-0.2.20-I6MqYi1ZitpKUe3ww5yyKM
    vector-0.13.1.0-2w7Kefz4Viy7lxr9yJSbMz
    yaml-0.11.11.2-1BX8zrqeWicCfVb3vlAqfh
    zip-archive-0.4.3.2-LUwSN6GisYh1xCRB0c0TNG
    zlib-0.6.3.0-JK3BL3de2YU2KWqECNm41V

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

